require 'net/http'
require 'uri'
require 'rubygems'
require 'json'

api_url = 'http://app.linkresearchtools.com/toolkit/api.php'

start_request_data = {'api_key' => 'your-api-key',
  'urls[0]' => 'http://www.google.com/',
  'urls[1]' => 'http://www.yahoo.com/',
  'urls[2]' => 'http://www.cemper.com/',
  'urls[3]' => 'http://www.mattcutts.com/blog/',
  'values[0]' => 'Power*Trust',
  'values[1]' => 'KwDomain',
  'values[2]' => 'Theme',
  'title' => 'Ruby API Report',
  'project' => 'Ruby Reports',
  'action' => 'start_report'}

res = Net::HTTP.post_form(URI.parse(api_url), start_request_data)
case res
when Net::HTTPSuccess
  puts "Got result: #{res.body}"
  result = JSON.parse(res.body)
  case result['status']
  when 100
    puts "Successsfully created report '#{result['report']['title']}' (#{result['report']['report_id']})"
  else
    puts "Oops, got an error creating the report"
    puts "(#{result['status']}) #{result['message']}"
  end
else
  puts "Oops, got an error response"
end
